clang 10.0.0git

Public Member Functions | List of all members
clang::targets::EmscriptenTargetInfo< Target > Class Template Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Basic/Targets/OSTargets.h"`

Inheritance diagram for clang::targets::EmscriptenTargetInfo< Target >:
[legend]
Collaboration diagram for clang::targets::EmscriptenTargetInfo< Target >:
[legend]

## Public Member Functions
| EmscriptenTargetInfo (const llvm::Triple &Triple, const TargetOptions &Opts)
Public Member Functions inherited from clang::targets::WebAssemblyOSTargetInfo< Target >
| WebAssemblyOSTargetInfo (const llvm::Triple &Triple, const TargetOptions &Opts)
Public Member Functions inherited from clang::targets::OSTargetInfo< Target >
| OSTargetInfo (const llvm::Triple &Triple, const TargetOptions &Opts)
void | getTargetDefines (const LangOptions &Opts, MacroBuilder &Builder) const override

## Additional Inherited Members

## Detailed Description

### template<typename Target>
class clang::targets::EmscriptenTargetInfo< Target >

Definition at line 860 of file OSTargets.h.

## Constructor & Destructor Documentation

## ◆ EmscriptenTargetInfo()

template<typename Target>

clang::targets::EmscriptenTargetInfo< Target >::EmscriptenTargetInfo | ( | const llvm::Triple & | Triple,
|  | const TargetOptions & | Opts
| ) |  |
| inline explicit

Definition at line 869 of file OSTargets.h.

References clang::Target.

The documentation for this class was generated from the following file:

- lib/Basic/Targets/OSTargets.h